Skip to content

/api/v1/model-builder/models/{id} (PUT)

PUT
/api/v1/model-builder/models/{id}
curl --request PUT \
--url https://nbaproplab.com/api/v1/model-builder/models/1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "weightsJson": "example", "name": "example", "isDefault": true }'
id
required
integer format: int32
/^-?(?:0|[1-9]\d*)$/
object
weightsJson
required
string
name
required
null | string
isDefault
required
null | boolean
Example generated
{
"weightsJson": "example",
"name": "example",
"isDefault": true
}

OK

Authentication required.

Media type application/problem+json
object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Insufficient permissions or tier.

Media type application/problem+json
object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}